import { JupyterFrontEnd } from '@jupyterlab/application';
import { Widget } from '@lumino/widgets';
import React from 'react';
import { ICodeSnippet } from './ProdectionTreeModel';
interface ICodeSnippetDisplayProps {
    app: JupyterFrontEnd;
    getCurrentWidget: () => Widget;
}
interface ICodeSnippetDisplayState {
    searchValue: string;
    filterTags: string[];
    snippetList: any[];
    isLoading?: Boolean;
    isNoData?: Boolean;
    selectedId?: string;
}
export declare class ProdectionTreeDisplay extends React.Component<ICodeSnippetDisplayProps, ICodeSnippetDisplayState> {
    constructor(props: ICodeSnippetDisplayProps);
    componentDidMount(): void;
    getProTreeList(): void;
    tipMessage(type: string, title: string, content: string): void;
    private insertCodeSnippet;
    private verifyLanguageAndInsert;
    private showErrDialog;
    private _setOptionsPosition;
    private setOpen;
    private setClose;
    private renderTiggerIcon;
    private renderRadioBtn;
    private renderItemBtn;
    private renderCodeSnippet;
    private removeOptionsNode;
    createOptionsNode(codeSnippet: ICodeSnippet): HTMLElement;
    private createCodeSnippets;
    render(): React.ReactElement;
}
export {};
