import { ILayoutRestorer } from '@jupyterlab/application';
// import { IEditorServices } from '@jupyterlab/codeeditor';
import { LabIcon } from '@jupyterlab/ui-components';
import operatorTreeSvg from '../style/icon/tree.svg';
import { ProdectionTreeWidget } from './ProdectionTreeWidget';
const EXTENSION_ID = 'production-tree-extension';
// 左侧边栏插件图标
const codeDatesetIcon = new LabIcon({
    name: 'custom-ui-compnents:proTreeIcon',
    svgstr: operatorTreeSvg
});
// 初始化插件
const production_tree_extension = {
    id: EXTENSION_ID,
    autoStart: true,
    requires: [ILayoutRestorer],
    activate: activateProTree
};
function activateProTree(app, restorer) {
    const getCurrentWidget = () => {
        return app.shell.currentWidget;
    };
    const prodectionTreeWidget = new ProdectionTreeWidget(getCurrentWidget, app);
    prodectionTreeWidget.id = EXTENSION_ID;
    prodectionTreeWidget.title.icon = codeDatesetIcon;
    prodectionTreeWidget.title.caption = 'Prodection Tree Explorer';
    restorer.add(prodectionTreeWidget, EXTENSION_ID);
    app.shell.add(prodectionTreeWidget, 'left', { rank: 800 });
}
export default production_tree_extension;
